Last Comment Bug 803046 - Test failure "Only one autocompleted result is underlined - '0' should equal '1'" in testAwesomeBar tests
: Test failure "Only one autocompleted result is underlined - '0' should equal ...
Status: RESOLVED FIXED
[mozmill-test-failure]
:
Product: Mozilla QA
Classification: Other
Component: Mozmill Tests (show other bugs)
: unspecified
: All All
: P1 normal (vote)
: ---
Assigned To: Andreea Matei [:AndreeaMatei]
:
Mentors:
Depends on:
Blocks: 792394
  Show dependency treegraph
 
Reported: 2012-10-18 05:28 PDT by Andreea Matei [:AndreeaMatei]
Modified: 2012-10-24 09:33 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed
fixed


Attachments
patch v1 (2.40 KB, patch)
2012-10-18 07:23 PDT, Andreea Matei [:AndreeaMatei]
hskupin: review+
Details | Diff | Review
[beta, esr10, release] patch v1 (1.25 KB, patch)
2012-10-23 00:44 PDT, Andreea Matei [:AndreeaMatei]
dave.hunt: review+
dave.hunt: checkin+
Details | Diff | Review

Description Andreea Matei [:AndreeaMatei] 2012-10-18 05:28:45 PDT
This is happening with some Awesome bar tests which use pages that are also bookmarked by default. The autocomplete results are getting switched at some point and causes the test to fail.
We need to replace the bookmarked pages from those tests in order to have only history entries in autocomplete results.
Comment 1 Andreea Matei [:AndreeaMatei] 2012-10-18 07:23:08 PDT
Created attachment 672780 [details] [diff] [review]
patch v1

Replacing bookmarked pages with simple ones in the only tests using them and underlined: testCheckItemHighligh.js and testSwitchToTab.js
Comment 2 Henrik Skupin (:whimboo) 2012-10-18 07:40:38 PDT
Comment on attachment 672780 [details] [diff] [review]
patch v1

Review of attachment 672780 [details] [diff] [review]:
-----------------------------------------------------------------

Looks fine so far. But what about e.g. visibleItemsMax which also uses this test page and searches for entries by typing 'll' in the location bar. This will also cause a conflict with the default bookmark, or? Probably we should figure that out on another bug and simply clear all bookmarks first too for the awesomebar tests.
Comment 3 Henrik Skupin (:whimboo) 2012-10-18 07:45:17 PDT
http://hg.mozilla.org/qa/mozmill-tests/rev/8ee93b29b45a (default)

If that hasn't been caused any regression I will land it on the other branches after the testruns tomorrow.
Comment 4 Andreea Matei [:AndreeaMatei] 2012-10-19 07:29:24 PDT
The patch applies cleanly for Aurora too.
The other branches will be taking care of as soon as we land testSwitchToTab.js there too. I'll upload patch on bug 779127 right away.
Comment 5 Henrik Skupin (:whimboo) 2012-10-22 15:55:27 PDT
(In reply to Andreea Matei [:AndreeaMatei] from comment #4)
> The patch applies cleanly for Aurora too.

http://hg.mozilla.org/qa/mozmill-tests/rev/33df8e0a7f21 (aurora)

> The other branches will be taking care of as soon as we land
> testSwitchToTab.js there too. I'll upload patch on bug 779127 right away.

Why? As said before both are independent. If one of the tests is not available on the branch because we do not backport new tests, please update the patch accordingly.
Comment 6 Andreea Matei [:AndreeaMatei] 2012-10-23 00:44:47 PDT
Created attachment 674159 [details] [diff] [review]
[beta, esr10, release] patch v1

This applies for beta, esr10 and release, replacing the community page on testCheckItemHighlight.js
Comment 7 Dave Hunt (:davehunt) 2012-10-24 08:05:41 PDT
Comment on attachment 674159 [details] [diff] [review]
[beta, esr10, release] patch v1

Review of attachment 674159 [details] [diff] [review]:
-----------------------------------------------------------------

Don't forget to include the reviewers in your commit message. I fixed this before pushing/transplanting.

Landed as:
http://hg.mozilla.org/qa/mozmill-tests/rev/458efa393bc2 (beta)
http://hg.mozilla.org/qa/mozmill-tests/rev/99a09b8eb4d4 (release)
http://hg.mozilla.org/qa/mozmill-tests/rev/93bfa2f49007 (esr10)
Comment 8 Henrik Skupin (:whimboo) 2012-10-24 09:33:11 PDT
All done here. Marking it as resolved fixed.

Note You need to log in before you can comment on or make changes to this bug.